<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/complaint_detail.php';

date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 

$complaint_detail = new ComplaintDetail($db);
$data = json_decode(file_get_contents("php://input"));

$complaint_detail->complaint_id = $data->id;
$complaint_detail->answer_date = $data->answer_date . " " .date("H:i:s");
$complaint_detail->answer_by = $data->answer_by;
$complaint_detail->remark = $data->remark;
$complaint_detail->answer_entry_by = $_SESSION['user'];
$complaint_detail->answer_date_time = date("Y-m-d H:i:s");	


			if($complaint_detail->create()){
				$arr = array(
					"message" => "updated"
				);
			}else{
				$arr = array(
					"message" => "error"
				);
			}


echo json_encode($arr);
?>